| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
Tools
Tools.AutoDoc
Tools.AutoDoc.DocParser

# Method Tools.AutoDoc.DocParser.splitDocBlock()

Method splitDocBlock

  `array(array(Token)) splitDocBlock(string block, SourcePosition position)`

Description

  Split a block of documentation text into segments of Token s split on METAKEYWORD s.

Returns

  Each of the arrays in the returned array can be fed to Parse::create()